<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\WealthUserCurrency;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class WealthUserCurrencyController extends Controller
{

    public function add(Request $request)
    {
        try {
            $request->validate([
                'user_id' => 'required',
                'currency_id' => 'required',
            ]);

            $chkExist = WealthUserCurrency::where('user_id', $request->user_id)->first();

            if (isset($chkExist->id) && $chkExist->id > 0) {
                $userCurrency = WealthUserCurrency::findOrFail($chkExist->id);
            } else {
                $userCurrency = new WealthUserCurrency();
            }

            $userCurrency->user_id = $request->user_id;
            $userCurrency->currency_id = $request->currency_id;

            $userCurrency->save();

            return response()->json([
                'success' => true,
                'data' => $userCurrency,
            ]);
        } catch (\Exception $e) {

            return response()->json(['success' => false, 'message' => $e->getMessage()]);
        }
    }

    public function view(Request $request)
    {
        try {
            $request->validate([
                'user_id' => 'required',
            ]);

            $userCurrency = WealthUserCurrency::where('user_id', $request->user_id)->with('currency')->get();

            return response()->json([
                'success' => true,
                'data' => $userCurrency,
            ]);
        } catch (\Exception $e) {

            return response()->json(['success' => false, 'message' => $e->getMessage()]);
        }
    }
}
