<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WealthSplitTransaction extends Model
{
    use HasFactory;

    protected $table = 'wealth_split_transaction';

    public function payer()
    {
        return $this->hasOne(WealthSplitMember::class, 'id', 'payer_id');
    }

    public function category()
    {
        return $this->hasOne(WealthCategory::class, 'id', 'category_id');
    }

    public function account()
    {
        return $this->hasOne(WealthAccountUser::class, 'id', 'account_id');
    }

    public function member()
    {
        return $this->hasMany(WealthSplitTransactionMember::class,'transaction_id','id');
    }



    /* protected $fillable = [
        'name',
        'code',
        'symbol',
    ]; */
}
