@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Edit Category Color</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon needs-validation" id="update-color">
                                <input type="number" id="id" name="id" class="form-control" placeholder="ID"
                                    hidden>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Color Code</label>
                                    <div class="col-sm-12">
                                        <input type="text" id="color" name="color" class="form-control"
                                            placeholder="Name">
                                    </div>
                                </div>
                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@section('script')
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";

        function editData() {
            $.ajax({
                type: "POST",
                url: url + "/single-color-details",
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                data: {
                    'id': {{ request()->id }}
                },
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    if (msg.success) {
                        $("#id").val(msg.data['id']);
                        $("#color").val(msg.data['color']);
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message + "</div>");
                    }
                }
            });
        }

        $('#update-color').submit(function(event) {
            event.preventDefault();
            $('#response').html("");
            var formData = new FormData(this);
            $.ajax({
                url: url + "/update-color",
                type: 'POST',
                data: formData,
                processData: false,
                contentType: false,
                success: function(data) {
                    if (data.success) {
                        $('form#update-color').trigger("reset");
                        window.location = url + "/list-color-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + data.message +
                            "</div>");
                    }
                }
            });
        });

        $(document).ready(function() {
            CheckSession();
            editData();
        });
    </script>
@endsection
