@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Currency</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon" id='currency'>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="name" id="name" class="form-control"
                                            placeholder="Name">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Code</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="code" id="code" class="form-control"
                                            placeholder="Code">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Symbol</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="symbol" id="symbol" class="form-control"
                                            placeholder="Symbol">
                                    </div>
                                </div>

                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";



        function displayCourseData() {
            $.ajax({
                type: "GET",
                url: url + "/list-course",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    console.log(msg);
                    if (msg.success) {
                        var json = msg.data.course;
                        var course_row = '';
                        $.each(json, function(index, obj) {
                            course_row += "<option value='" + obj.id + "'>" + obj.name + "</option>";
                        });
                        $("#course_id").append(course_row);
                    } else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message +
                            "</div>");
                    }
                }
            });
        }

        $('#currency').submit(function(event) {
            event.preventDefault();

            // var formData = $(this).serialize();
            var formData = new FormData(this);

            $.ajax({
                url: url + "/create-currency",
                type: 'POST',
                data: formData,
                success: function(data) {
                    if (data.success) {
                        $('form#currency').trigger("reset");
                        window.location = url + "/list-currency-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + data
                            .message + "</div>");
                    }
                },
                cache: false,
                contentType: false,
                processData: false
            });
        });
        $(document).ready(function() {
            displayCourseData();
        });
    </script>
@endsection
