<!DOCTYPE html>
<html lang="en" class="h-100">

<head>
    <meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="keywords" content="">
	<meta name="author" content="">
	<meta name="robots" content="">

	<!-- PAGE TITLE HERE -->
	<title>Admin Login</title>

	<!-- FAVICONS ICON -->
	<link rel="shortcut icon" type="image/png" href="./assets/images/favicon.png">
    <link href="./assets/css/style.css" rel="stylesheet">

</head>

<body class="vh-100">
    <div class="authincation h-100">
        <div class="container h-100">
            <div class="row justify-content-center h-100 align-items-center">
                <div class="col-md-6">
                    <div class="authincation-content">
                        <div class="row no-gutters">
                            <div class="col-xl-12">
                                <div class="auth-form">
									<div class="text-center mb-3">
										<a href="{{route('welcome')}}"><img src="./assets/images/logo-full.png" alt=""></a>
									</div>
                                    <h4 class="text-center mb-4">Sign in your account</h4>
                                    <div id="response"></div>
                                    <form id="login">
                                        <div class="mb-3">
                                            <label class="mb-1"><strong>Phone</strong></label>
                                            <input type="number" id="phone" name="phone" class="form-control" placeholder="0123456789">
                                        </div>
                                        <div class="mb-3">
                                            <label class="mb-1"><strong>Password</strong></label>
                                            <input type="password" id="password" name="password" class="form-control" placeholder="Password">
                                        </div>
                                        <div class="row d-flex justify-content-between mt-4 mb-2">
                                            <div class="mb-3">
                                               <div class="form-check custom-checkbox ms-1">
													<input type="checkbox" class="form-check-input" id="basic_checkbox_1">
													<label class="form-check-label" for="basic_checkbox_1">Remember my preference</label>
												</div>
                                            </div>
                                            <div class="mb-3">
                                                <a href="./assets/page-forgot-password.html">Forgot Password?</a>
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <button type="submit" class="btn btn-primary btn-block">Sign Me In</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!--**********************************
        Scripts
    ***********************************-->
    <!-- Required vendors -->
    <script src="./assets/vendor/global/global.min.js"></script>
    <script src="./assets/js/custom.min.js"></script>
    <script src="./assets/js/dlabnav-init.js"></script>
	<script src="./assets/js/styleSwitcher.js"></script>
    <script>
        $(document).ready(function(){
            $('#login').submit(function(event){
                event.preventDefault();
                var formData = $(this).serialize();
                var url = "{{ env('APP_URL') }}";

                $.ajax({
                    url:url+"/login",
                    type:'POST',
                    data:formData,
                    success:function(data){
                        console.log(data);
                        if(data.success){
                            if(data.is_admin){
                            sessionStorage.setItem('token',data.access_token);
                            $('form#login').trigger("reset");
                            $('#response').html("<div class='alert alert-success'>"+data.message+"</div>");
                            window.location = url+"/";
                            }else{
                                $('#response').html("<div class='alert alert-danger'>You are not Admin.</div>");
                            }
                        }else{
                            $('#response').html("<div class='alert alert-danger'>"+data.message+"</div>");
                        }
                    }
                });
            });
        });
    </script>
</body>
</html>
