@extends('layouts.app')

@section('css')
    <link href="./assets/vendor/datatables/css/jquery.dataTables.min.css" rel="stylesheet">
@endsection
@section('content')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Course Buyer List</h4>
                    </div>
                    <div id="response"></div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="example3" class="display mb-2" style="min-width: 845px">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Course</th>
                                        <th>User Name</th>
                                        <th>User Mobile</th>
                                        <th>Start Date</th>
                                        <th>End Date</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($data->buyers as $k=>$v)
                                        <tr>
                                            <td>{{$k+1}}</td>
                                            <td>{{$data->name}}</td>
                                            <td>{{$v->user->name}}</td>
                                            <td>{{$v->user->phone}}</td>
                                            <td>{{$v->start_date}}</td>
                                            <td>{{$v->end_date}}</td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
<script src="./assets/vendor/datatables/js/jquery.dataTables.min.js"></script>

<script>
    $(document).ready(function() {
            CheckSession();
          $('#example3').DataTable();
        });
</script>
@endsection
