@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Holding User Type</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon needs-validation" id="holding-user-type"
                                enctype="multipart/form-data">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="title" class="form-control" placeholder="Enter Title">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">App Display Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="display_name" class="form-control" placeholder="Enter App Display Name">
                                    </div>
                                </div>
                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        $('#holding-user-type').submit(function(event) {
            event.preventDefault();

            // var formData = $(this).serialize();
            var formData = new FormData(this);
            var url = "{{ env('APP_URL') }}";
            $.ajax({
                url: url + "/create-holding-user-type",
                type: 'POST',
                data: formData,
                success: function(data) {
                    console.log(data);
                    if (data.success) {
                        $('form#holding-user-type').trigger("reset");
                        window.location = url + "/list-holding-user-type-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + data
                            .message + "</div>");
                    }
                },
                cache: false,
                contentType: false,
                processData: false
            });
        });
        // $(document).ready(function() {

        // });
    </script>
@endsection
