@extends('layouts.app')

@section('css')
    <link href="./assets/vendor/datatables/css/jquery.dataTables.min.css" rel="stylesheet">
@endsection
@section('content')
    <div class="container-fluid">

        <div class="row page-titles">
            <ol class="breadcrumb">
                <li class="breadcrumb-item active"><a href="javascript:void(0)">Holding User</a></li>
                <li class="breadcrumb-item"><a href="javascript:void(0)">List Holding User</a></li>
            </ol>
        </div>
        <!-- row -->


        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Holding User</h4>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="example3" class="display" style="min-width: 845px">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Name</th>
                                        <th>App Display Name</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="./assets/vendor/datatables/js/jquery.dataTables.min.js"></script>
    {{-- <script src="./assets/js/plugins-init/datatables.init.js"></script> --}}
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";

        function displayData() {

            $.ajax({
                type: "GET",
                url: url + "/list-holding-user-type",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    console.log(msg);
                    if (msg.success) {
                        var json = msg.data.holding_user;
                        var row = '';
                        $.each(json, function(index, obj) {
                            row += '<tr><td> ' + obj.id + ' </td> <td> ' + obj.title +
                                ' </td> <td> ' + obj.display_name + ' </td><td><div class="d-flex"><a href="' + url +
                                '/edit-holding-user-type-view/' + obj.id +
                                '" class="btn btn-primary shadow btn-xs sharp me-1"><i class="fas fa-pencil-alt"></i></a></div></td> </tr>';
                        });
                        $(".display tbody").html(row);
                        $('#example3').DataTable();
                    }else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message + "</div>");
                    }
                }
            });

            /* <a data-id="' +
                                obj.id +
                                '" class="btn btn-danger shadow btn-xs sharp delete-cat"><i class="fa fa-trash"></i></a> */

        }

        $("body").on("click", "#example3 .delete-cat", function() {
            var id = $(this).attr("data-id");
            $.ajax({
                type: "GET",
                url: url + "/delete-holding-user-type/" + id,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function(msg) {
                    if (msg.success) {
                        $('#response').html("<div class='alert alert-success'>" + msg.message +
                            "</div>");
                        displayData();
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message +
                            "</div>");
                    }
                }
            });
        });

        $(document).ready(function() {
            CheckSession();
            displayData();
        });
    </script>
@endsection
