@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Holdings</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <form class="form-valide-with-icon" id="holdings" enctype="multipart/form-data">
                                <div class="mb-3">
                                    <label class="form-label">Holding Users</label>
                                    <select class="form-control wide" name="holding_users_id" id="holding_users_id">
                                        <option>Select Holding Users</option>
                                    </select>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Stok</label>
                                    <div class="col-sm-12">
                                        <input type="text" id="stok" name="stok" class="form-control" placeholder="Title">
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q1</label>
                                    <input type="text" class="form-control" id="jan" name="jan">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q2</label>
                                    <input type="text" class="form-control" id="feb" name="feb">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q3</label>
                                    <input type="text" class="form-control" id="mar" name="mar">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q4</label>
                                    <input type="text" class="form-control" id="Apr" name="Apr">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q5</label>
                                    <input type="text" class="form-control" id="May" name="May">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q6</label>
                                    <input type="text" class="form-control" id="Jun" name="Jun">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q7</label>
                                    <input type="text" class="form-control" id="Jul" name="Jul">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q8</label>
                                    <input type="text" class="form-control" id="Aug" name="Aug">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q9</label>
                                    <input type="text" class="form-control" id="Sep" name="Sep">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q10</label>
                                    <input type="text" class="form-control" id="Oct" name="Oct">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q11</label>
                                    <input type="text" class="form-control" id="Nov" name="Nov">
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Q12</label>
                                    <input type="text" class="form-control" id="Dec" name="Dec">
                                </div>

                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";

        function displayCategoryData() {

            $.ajax({
                type: "GET",
                url: url + "/list-holding-user",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    console.log(msg);
                    if (msg.success) {
                        var json = msg.data.holding_user;
                        var row = '';
                        $.each(json, function(index, obj) {
                            row += "<option value='" + obj.id + "'>" + obj.name + "</option>";
                        });
                        $("#holding_users_id").html(row);
                    } else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message +
                            "</div>");
                    }
                }
            });

        }

        $('#holdings').submit(function(event) {
            event.preventDefault();

            // var formData = $(this).serialize();
            var formData = new FormData(this);

            $.ajax({
                url: url + "/create-holdings",
                type: 'POST',
                data: formData,
                success: function(data) {
                    console.log(data);
                    if (data.success) {
                        $('form#holdings').trigger("reset");
                        window.location = url + "/list-holdings-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + data
                            .message + "</div>");
                    }
                },
                cache: false,
                contentType: false,
                processData: false
            });
        });
        $(document).ready(function() {
            displayCategoryData();
        });
    </script>
@endsection
