@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Income Category</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon" id="income-category">
                                <input type="text" id="category_type" name="category_type" class="form-control"
                                    placeholder="category type" hidden value="INCOME">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" id="title" name="title" class="form-control"
                                            placeholder="Name">
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Color</label>
                                    <div class="col-sm-12">
                                        <input type="text" id="color" name="color" class="form-control"
                                            placeholder="Color">
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Icon</label>
                                    <div class="input-group">
                                        <div class="form-file">
                                            <input type="file" name="icon" accept="image/*"
                                                class="form-file-input form-control">
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        $(document).ready(function() {
            $('#income-category').submit(function(event) {
                event.preventDefault();

                var formData = new FormData(this);
                var url = "{{ env('APP_URL') }}";

                $.ajax({
                    url: url + "/add-category-admin",
                    type: 'POST',
                    data: formData,
                    processData: false,
                    contentType: false,
                    success: function(data) {
                        console.log(data);
                        if (data.success) {
                            $('form#income-category').trigger("reset");
                            window.location = url + "/list-income-category-view";
                        } else {
                            $('#response').html("<div class='alert alert-danger'>" + data
                                .message + "</div>");
                        }
                    }
                });
            });
        });
    </script>
@endsection
