@extends('layouts.app')

@section('css')
    <link href="./assets/vendor/datatables/css/jquery.dataTables.min.css" rel="stylesheet">
@endsection
@section('content')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Lectures</h4>
                    </div>
                    <div id="response"></div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="example3" class="display" style="min-width: 845px">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Image</th>
                                        <th>Code</th>
                                        <th>Name</th>
                                        <th>Description</th>
                                        <th>Course Category</th>
                                        <th>Course</th>
                                        <th>Lessons</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="./assets/vendor/datatables/js/jquery.dataTables.min.js"></script>
    {{-- <script src="./assets/js/plugins-init/datatables.init.js"></script> --}}
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";

        function displayData() {

            $.ajax({
                type: "GET",
                url: url + "/list-lectures",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    // console.log(msg);
                    if (msg.success) {
                        var json = msg.data.lectures;
                        var row = '';
                        $.each(json, function(index, obj) {
                            console.log(obj);
                            row += '<tr><td> ' + obj.id + ' </td> <td><img class="" width="35" src="' +
                                obj.image + '" alt=""></td> <td> ' + obj.code + ' </td> <td> ' + obj
                                .name +
                                ' </td><td>' + obj.description + '</td> <td>' + obj.categories_name +
                                '</td> <td>' + obj.course_name +
                                '</td> <td>' + obj.lessons_name +
                                '</td> <td><div class="d-flex"><a href="' + url +
                                '/edit-lectures-view/' + obj.id +
                                '" class="btn btn-primary shadow btn-xs sharp me-1"><i class="fas fa-pencil-alt"></i></a><a data-id="' +
                                obj.id +
                                '" class="btn btn-danger shadow btn-xs sharp delete-lectures"><i class="fa fa-trash"></i></a></div></td> </tr>';
                        });
                        $(".display tbody").html(row);
                        $('#example3').DataTable();
                    } else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message +
                            "</div>");
                    }
                }
            });

        }

        $("body").on("click", "#example3 .delete-lectures", function() {
            var id = $(this).attr("data-id");
            $.ajax({
                type: "GET",
                url: url + "/delete-lectures/" + id,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function(msg) {
                    if (msg.success) {
                        $('#response').html("<div class='alert alert-success'>" + msg.message +
                            "</div>");
                            $('#example3').DataTable();
                            displayData();
                            $('#example3').DataTable();
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message +
                            "</div>");
                    }
                }
            });
        });

        $(document).ready(function() {
            CheckSession();
            displayData();
        });
    </script>
@endsection
