@extends('layouts.app')
@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Lesson</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon" id='lesson'>
                                <div class="mb-3">
                                    <label class="form-label">Select course Category</label>
                                    <select class="form-control wide" name="course_category_id" id="course_category_id">
                                        <option>Select course Category</option>
                                    </select>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Select course</label>
                                    <select class="form-control wide" name="course_id" id="course_id">
                                        <option>Select course</option>
                                    </select>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="name" class="form-control" placeholder="name">
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Description</label>
                                    <textarea class="form-control" rows="4" id="description" name="description"></textarea>
                                </div>
                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";

        $('#course_category_id').on('change', function() {
            var course_category_id = this.value;
            $.ajax({
                type: "GET",
                url: url + "/list-course-categorywise/"+course_category_id,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    console.log(msg);
                    if (msg.success) {
                        var json = msg.data.course;
                        var course_row = '';
                        $.each(json, function(index, obj) {
                            course_row += "<option value='" + obj.id + "'>" + obj.name + "</option>";
                        });
                        $("#course_id").html(course_row);
                    } else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message +
                            "</div>");
                    }
                }
            });
        });

        function displayCategoryData() {

            $.ajax({
                type: "GET",
                url: url + "/list-course-category",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    console.log(msg);
                    if (msg.success) {
                        var json = msg.data;
                        var row = '';
                        $.each(json, function(index, obj) {
                            row += "<option value='" + obj.id + "'>" + obj.name + "</option>";
                        });
                        $("#course_category_id").append(row);
                    } else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message +
                            "</div>");
                    }
                }
            });

        }

        $('#lesson').submit(function(event) {
            event.preventDefault();

            // var formData = $(this).serialize();
            var formData = new FormData(this);

            $.ajax({
                url: url + "/create-lesson",
                type: 'POST',
                data: formData,
                contentType: false,
                success: function(data) {
                    console.log(data);
                    if (data.success) {
                        $('form#lesson').trigger("reset");
                        window.location = url + "/list-lesson-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + data
                            .message + "</div>");
                    }
                },
                cache: false,
                processData: false
            });
        });
        $(document).ready(function() {
            displayCategoryData();
        });
    </script>
@endsection
