@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">News Category</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon needs-validation" id="news-category"
                                enctype="multipart/form-data">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="name" class="form-control" placeholder="name">
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Image</label>
                                    <div class="input-group">
                                        <div class="form-file">
                                            <input type="file" name="image" accept="image/*"
                                                class="form-file-input form-control">
                                        </div>
                                    </div>
                                </div>

                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        $(document).ready(function() {
            $('#news-category').submit(function(event) {
                event.preventDefault();

                // var formData = $(this).serialize();
                var formData = new FormData(this);
                var url = "{{ env('APP_URL') }}";

                $.ajax({
                    url: url + "/create-news-category",
                    type: 'POST',
                    data: formData,
                    success: function(data) {
                        console.log(data);
                        if (data.success) {
                            $('form#news-category').trigger("reset");
                            window.location = url + "/list-news-category-view";
                        } else {
                            $('#response').html("<div class='alert alert-danger'>" + data
                                .message + "</div>");
                        }
                    },
                    cache: false,
                    contentType: false,
                    processData: false
                });
            });
        });
    </script>
@endsection
