@extends('layouts.app')
@section('content')

<div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
              <?php  $message = session('message'); ?>
                 @if (isset($message))
                    <div class="alert alert-success">
                        {{ $message }}
                    </div>
                @endif
                    @if($errors->any())
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li class="alert alert-danger">{{ $error }}</li>
                            @endforeach
                            
                        </ul>
                    @endif
                    <div class="card-header">
                        <h4 class="card-title">Change Password</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon" action="{{route('change_password_success')}}" id='banner' method="post">
                                @csrf
                                <input type="hidden" id="token2" name="token2" value="token2" >
                                
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Password</label>
                                    <div class="col-sm-12">
                                        <input type="password" name="password" id="password" class="form-control" placeholder="Password">
                                     </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Confirm Password</label>
                                    <div class="col-sm-12">
                                        <input type="password" name="confirm_password" id="confirm_password" class="form-control" placeholder="Confirm Password">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">OTP</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="otp" id="otp" class="form-control" placeholder="OTP">
                                        <button type="button" class="btn btn-info btn-ms float-end p-0 px-2" id="send_otp">Send OTP</button>
                                     </div>
                                </div>
                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                    </div>                
                </div>
            </div>
        </div>
</div>
@endsection

@section('script')
<script>
    $(document).ready(function () {
        $("#token2").val(sessionStorage.getItem('token'));
        $("#send_otp").click(function(){
            $.ajax({
                type: "get",
                url: "{{route('pass_reset_otp_end')}}",
                beforeSend:function(){$("#send_otp").html('wait...');},
                success: function (response) {
                    $("#send_otp").html('Send OTP');
                    alert("OTP Sent on Mail:questtechnologies7@gmail.com")
                }
            });
        });
    });
</script>
@endsection

