@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">user</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <form class="form-valide-with-icon" id="update-user">
                                <input type="number" name="id" id="id" class="form-control" hidden>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="name" id="name" class="form-control" placeholder="Name">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Email</label>
                                    <div class="col-sm-12">
                                        <input type="email" name="email" id="email" class="form-control" placeholder="Email">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Phone</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="phone" id="phone" class="form-control" placeholder="Phone">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">State</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="state" id="state" class="form-control" placeholder="State">
                                    </div>
                                </div>
                                <fieldset class="mb-3 mt-3">
                                    <div class="row">
                                        <label class="col-form-label col-sm-3 pt-0">Is Admin</label>
                                        <div class="col-sm-9">
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="is_admin" id="1" value="1" >
                                                <label class="form-check-label">
                                                    Yes
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="is_admin" id="0" value="0">
                                                <label class="form-check-label">
                                                    No
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </fieldset>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Profile Picture</label>
                                    <div class="input-group">
                                        <div class="form-file">
                                            <input type="file" name="photo" accept="image/*" class="form-file-input form-control">
                                            <img src="" id="photo" alt="">
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";

        function editData() {
            $.ajax({
                type: "GET",
                url: url + "/edit-user/{{ request()->id }}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    if (msg.success) {
                        $("#id").val(msg.data['id']);
                        $("#name").val(msg.data['name']);
                        $("#photo").attr('src', msg.data.photo);
                        $("#email").val(msg.data['email']);
                        $("#state").val(msg.data['state']);
                        $("#phone").val(msg.data.phone);
                        $('#' + msg.data.is_admin).prop('checked',true);
                    } else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message + "</div>");
                    }
                }
            });
        }

        $('#update-user').submit(function(event) {
            event.preventDefault();
            $('#response').html("");
            var formData = new FormData(this);

            $.ajax({
                url: url + "/profile-update",
                type: 'POST',
                data: formData,
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(data) {
                    console.log(data);
                    if (data.success) {
                        $('form#update-user').trigger("reset");
                        window.location = url+"/list-user-view";
                    } else if (data.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + data.message +
                            "</div>");
                    }
                },
                cache: false,
                contentType: false,
                processData: false
            });
        });

        $(document).ready(function() {
            CheckSession();
            editData();
        });
    </script>
@endsection
