<?php

use App\Http\Controllers\API\CourseController;
use App\Http\Controllers\API\InsightController;
use App\Http\Controllers\API\NewsController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\API\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('.well-known/assetlinks.json', function () {
    return response()->file(public_path('assetlinks.json'));
});

Route::get('/', function () {
    return view('welcome');
})->name('welcome');

Route::get('/register-view', function () {
    return view('auth.register');
})->name('register-view');
Route::get('/login-view', function () {
    return view('auth.login');
})->name('login-view');

Route::get('/list-news-category-view', function () {
    return view('news-category.list');
})->name('list-news-category-view');

Route::get('/edit-news-category-view/{id}', function () {
    return view('news-category.edit');
});
Route::get('/edit-news-count-view/{id}', function () {
    return view('news-count.edit');
});
Route::get('/create-news-category-view', function () {
    return view('news-category.create');
})->name('create-news-category-view');

Route::get('/list-news-view', function () {
    return view('news.list');
});
Route::get('/edit-news-view/{id}', function () {
    return view('news.edit');
})->name('edit-news-view');
Route::get('/create-news-view', function () {
    return view('news.create');
})->name('create-news-view');

Route::get('/list-insight-view', function () {
    return view('insight.list');
})->name('list-insight-view');
Route::get('/edit-insight-view/{id}', function () {
    return view('insight.edit');
});
Route::get('/create-insight-view', function () {
    return view('insight.create');
})->name('create-insight-view');


Route::get('/list-poll-view', function () {
    return view('poll.list');
})->name('list-poll-view');
Route::get('/edit-poll-view/{id}', function () {
    return view('poll.edit');
});
Route::get('/create-poll-view', function () {
    return view('poll.create');
})->name('create-poll-view');

Route::get('/list-course-category-view', function () {
    return view('course-category.list');
})->name('list-course-category-view');
Route::get('/edit-course-category-view/{id}', function () {
    return view('course-category.edit');
});
Route::get('/create-course-category-view', function () {
    return view('course-category.create');
})->name('create-course-category-view');

Route::get('/list-course-view', function () {
    return view('course.list');
})->name('list-course-view');
Route::get('/edit-course-view/{id}', function () {
    return view('course.edit');
});
Route::get('/create-course-view', function () {
    return view('course.create');
})->name('create-course-view');
Route::get('course-buyer-list',[CourseController::class,'course_buyer_list'])->name("course_buyer_list");

Route::get('/list-lesson-view', function () {
    return view('lesson.list');
})->name('list-lesson-view');
Route::get('/edit-lesson-view/{id}', function () {
    return view('lesson.edit');
});
Route::get('/create-lesson-view', function () {
    return view('lesson.create');
})->name('create-lesson-view');

Route::get('/list-lectures-view', function () {
    return view('lectures.list');
})->name('list-lectures-view');
Route::get('/edit-lectures-view/{id}', function () {
    return view('lectures.edit');
});
Route::get('/create-lectures-view', function () {
    return view('lectures.create');
})->name('create-lectures-view');

Route::get('/list-ads-view', function () {
    return view('ads.list');
})->name('list-ads-view');
Route::get('/create-ads-view', function () {
    return view('ads.create');
})->name('create-ads-view');

Route::get('/list-banner-view', function () {
    return view('banner.list');
})->name('list-banner-view');
Route::get('/create-banner-view', function () {
    return view('banner.create');
})->name('create-banner-view');

Route::get('/list-currency-view', function () {
    return view('currency.list');
})->name('list-currency-view');
Route::get('/create-currency-view', function () {
    return view('currency.create');
})->name('create-currency-view');

Route::get('/list-color-view', function () {
    return view('color.list');
})->name('list-color-view');
Route::get('/edit-color-view/{id}', function () {
    return view('color.edit');
});
Route::get('/create-color-view', function () {
    return view('color.create');
})->name('create-color-view');

Route::get('/list-category-icon-view', function () {
    return view('categoryicon.list');
})->name('list-category-icon-view');
Route::get('/edit-category-icon-view/{id}', function () {
    return view('categoryicon.edit');
});
Route::get('/create-category-icon-view', function () {
    return view('categoryicon.create');
})->name('create-category-icon-view');

Route::get('/list-wallet-view', function () {
    return view('wallet.list');
})->name('list-wallet-view');
Route::get('/edit-wallet-view/{id}', function () {
    return view('wallet.edit');
});
Route::get('/create-wallet-view', function () {
    return view('wallet.create');
})->name('create-wallet-view');

Route::get('/list-income-category-view', function () {
    return view('income-category.list');
})->name('list-income-category-view');
Route::get('/edit-income-category-view/{id}', function () {
    return view('income-category.edit');
});
Route::get('/create-income-category-view', function () {
    return view('income-category.create');
})->name('create-income-category-view');

Route::get('/list-expense-category-view', function () {
    return view('expense-category.list');
})->name('list-expense-category-view');
Route::get('/edit-expense-category-view/{id}', function () {
    return view('expense-category.edit');
});
Route::get('/create-expense-category-view', function () {
    return view('expense-category.create');
})->name('create-expense-category-view');

Route::get('/list-split-category-view', function () {
    return view('split-category.list');
})->name('list-split-category-view');
Route::get('/edit-split-category-view/{id}', function () {
    return view('split-category.edit');
});
Route::get('/create-split-category-view', function () {
    return view('split-category.create');
})->name('create-split-category-view');

Route::get('/list-family-category-view', function () {
    return view('family-category.list');
})->name('list-family-category-view');
Route::get('/edit-family-category-view/{id}', function () {
    return view('family-category.edit');
});
Route::get('/create-family-category-view', function () {
    return view('family-category.create');
})->name('create-family-category-view');





Route::get('/change-password-view',[UserController::class,'change_password'])->name("change-password-view");
Route::post('/change-password-view', [UserController::class, 'change_password_success'])->name('change_password_success');
Route::get("pass-reset-otp-send", [UserController::class, 'send_otp'])->name('pass_reset_otp_end');

Route::get('/list-user-view', function () {
    return view('user.list');
})->name('list-user-view');
Route::get('/edit-user-view/{id}', function () {
    return view('user.edit');
});
Route::get('/create-user-view', function () {
    return view('user.create');
})->name('create-user-view');


Route::get('/list-holding-user-type-view', function () {
    return view('holding-user-type.list');
})->name('list-holding-user-type-view');
Route::get('/edit-holding-user-type-view/{id}', function () {
    return view('holding-user-type.edit');
});
Route::get('/create-holding-user-type-view', function () {
    return view('holding-user-type.create');
})->name('create-holding-user-type-view');


Route::get('/list-holding-user-view', function () {
    return view('holding-user.list');
})->name('list-holding-user-view');
Route::get('/edit-holding-user-view/{id}', function () {
    return view('holding-user.edit');
});
Route::get('/create-holding-user-view', function () {
    return view('holding-user.create');
})->name('create-holding-user-view');


Route::get('/list-holdings-view', function () {
    return view('holdings.list');
})->name('list-holdings-view');
Route::get('/edit-holdings-view/{id}', function () {
    return view('holdings.edit');
});
Route::get('/create-holdings-view', function () {
    return view('holdings.create');
})->name('create-holdings-view');

Route::get('/reset-password', [UserController::class, 'resetPasswordLoad']);
Route::post('/reset-password', [UserController::class, 'resetPassword']);

Route::get("news/send-push-notification",[NewsController::class,"sendFcmNotification"])->name("sendFcmNotification");
Route::get('deleteInsightImage',[InsightController::class,'deleteInsightImage'])->name('deleteInsightImage');


Route::get('privacy-policy',function(){
    return view("privacy_policy");
});

Route::get('support',function(){
    return view("support");
});
